import { ISplineEntity } from "dxf-parser";
import { Vec2 } from "three";
export declare function DXFSpline2Points(spl: ISplineEntity): number[][];
/**
 * Interpolate a b-spline. The algorithm examins the knot vector
 * to create segments for interpolation. The parameterisation value
 * is re-normalised back to [0,1] as that is what the lib expects (
 * and t i de-normalised in the b-spline library)
 *
 * @param controlPoints the control points
 * @param degree the b-spline degree
 * @param knots the knot vector
 * @returns the polyline
 */
export declare function interpolateBSpline(controlPoints: Vec2[], degree: number, knots: number[], interpolationsPerSplineSegment: number, weights?: number[]): number[][];
/**
 * Copied and ported to code standard as the b-spline library is not maintained any longer.
 * Source:
 * https://github.com/thibauts/b-spline
 * Copyright (c) 2015 Thibaut Séguy <thibaut.seguy@gmail.com>
 */
export declare function bSpline(t: number, degree: number, points: number[][], knots: number[], weights?: number[]): number[];
//# sourceMappingURL=DXFSpline2Points.d.ts.map