import { Matrix4 } from "three";
import { Singleton } from "../../Common/Singleton";
import { Board } from "../../DatabaseServices/Entity/Board";
import { ObjectId } from "../../DatabaseServices/ObjectId";
import { Box3Ext } from "../../Geometry/Box";
import { DrillingOption } from "../../UI/Store/drillInterface";
export declare class DrawDrillingTool extends Singleton {
    private m_MoveDistList;
    private m_Face;
    private m_Option;
    private backupOption; /**备选配置 */
    private woodPins;
    private drillEnts;
    private _configCache;
    private _drillEntsCache;
    private _woodPinsCache;
    private _collsionFaces;
    private _hasBackupOption;
    private _useBackup;
    private _isDrillTouch;
    constructor();
    HasConfig(type: string): boolean;
    /**获取用户正在使用的配置 */
    private GetDrillingConfig;
    private GetRuleByFace;
    private InitWoodPins;
    get CacheKey(): string;
    get IsPostive(): boolean;
    get EvalParam(): {
        H: number;
        L: number;
        W: number;
    };
    private InitDrill;
    private _InitDrill;
    InitDrillTemp(suitableOption: DrillingOption): boolean;
    private EqulalSpacing;
    private Multiple32;
    private GetMoveDist;
    private GetBoxes;
    private BuildDrill;
    private CheckDrillInBoard;
    private CheckWoodInBoard;
    private CheckModelingCollision;
    private IsDrillCollisionModeling;
    private ParseDrillList;
    private SaveDrillToBoard;
    private ParseThroughHoles;
    private ParseHolesisThrough;
    private MoveDrillEnts;
    IsTk(ds: ObjectId[]): boolean;
    GetDrillsBox(ids: ObjectId[], OCSInv: Matrix4): Box3Ext[];
    CheckCollision(drills: ObjectId[][], refDrillList: ObjectId[][], woodPinss: ObjectId[][]): void;
    private InitTool;
    private ClassifyBoardList;
    ClearExitDrilling(brs: Board[]): void;
    private StartGangDrill;
    private Exec;
    /**分类并排钻 */
    ClassifyAndDrilling(brList: Board[] | Set<Board>): Promise<void>;
    private IsSplitBoard;
    private GetSpliteBoards;
    DrillIsCollsion(b1: Box3Ext, b2: Box3Ext): boolean;
    Check(brs: Board[]): Promise<string[]>;
    CheckDrillList(result: string[]): void;
}
//# sourceMappingURL=DrawDrillingTool.d.ts.map