import { Singleton } from "../../../Common/Singleton";
import { IConfigOption } from "../../../UI/Components/Board/UserConfigComponent";
import { IUiOption } from "../../../UI/Store/BoardInterface";
import { IConfigStore } from "../../../UI/Store/BoardStore";
import { KJLUseName } from "./KJLConfig";
import { KJLImportConfigOption } from "./KJLImportConfigOption";
export interface MaterialOption {
    keyIndex: number;
    kjlName: string;
    materialName: string;
    url: string;
    isSelect: boolean;
    isRender: boolean;
}
interface ValueMapUiOption {
    m_uiEdgeValueMap: [string, string][];
    m_uiDrillValueMap: [string, string][];
}
interface IKJLImportConfigOption extends KJLImportConfigOption {
    kjlUseName: KJLUseName.modelName;
}
export declare class KJLImportConfigStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    m_Option: IKJLImportConfigOption;
    kjlUseName: KJLUseName;
    uiOption: IUiOption<ValueMapUiOption>;
    materialList: MaterialOption[];
    selectAll: boolean;
    private queue;
    materialMap: Map<string, Promise<{
        materialName: string;
        url: string;
    }>>;
    get UIOption(): IUiOption<ValueMapUiOption>;
    InitOption(): void;
    SaveConfig(): IConfigOption<import("../../../UI/Store/BoardInterface").AnyObject>;
    UpdateOption(cof: IConfigOption<IKJLImportConfigOption>): void;
    private ConvertUIData;
    private OrderUIData;
    LoadMaterials: () => Promise<void>;
    AsyncLoadMaterials: () => Promise<void>;
    GetMaterialInfo: (material_id: string) => Promise<{
        materialName: string;
        url: string;
    }>;
}
export {};
//# sourceMappingURL=KJLImportConfigStore.d.ts.map