import { EBoardKeyList } from "../../Common/BoardKeyList";
import { TemplateRecord } from "../../DatabaseServices/Template/TemplateRecord";
import { DrillType, IBaseOption, IGrooveOption } from "../../UI/Store/BoardInterface";
export interface IParseBoardNameOption extends IBaseOption {
    verticalBrShrink: number;
    layerBrShrink: number;
    bottomBrShrink: number;
    topBrShrink: number;
    groundLineBrShrink: number;
    farLeftVerticalBrName: string;
    farRightVerticalBrName: string;
    topMostLayerBrName: string;
    bottomMostLayerBrName: string;
    bottomMostBackBrName: string;
    stripeBrName: string;
    cabinetName: string;
    isfarLeftVerticalBrName: boolean;
    isfarRightVerticalBrName: boolean;
    istopMostLayerBrName: boolean;
    isbottomMostLayerBrName: boolean;
    isbottomMostBackBrName: boolean;
    isstripeBrName: boolean;
    iscabinetName: boolean;
    isMultiBackBr: boolean;
    isBack: boolean;
    backName: string;
    isAloneStripName: boolean;
}
export interface IRec2BrOption extends IParseBoardNameOption {
    cabinetDeep: number;
    cabinetBrThick: number;
    cabinetCurtail: number;
    backBrThick: number;
    backBrBiggerThanHeight: number;
    backBrBiggerThanWidth: number;
    backBrFrontMove: number;
    backBrLeftExtend: number;
    backBrRightExtend: number;
    backBrUpExtend: number;
    backBrDownExtend: number;
    backBrUseTemplate: boolean;
    backBrTemplate: TemplateRecord;
    backBrTemplateId: string;
    grooveOption: IGrooveOption;
    [EBoardKeyList.RoomName]: string;
    boardMatName: string;
    material: string;
    color: string;
    drillType: string;
    sealedDown: string;
    sealedLeft: string;
    sealedRight: string;
    sealedUp: string;
    remarks: [string, string][];
    maxThickness: number;
    useBrName: boolean;
    configName: string;
    backBrName: string;
    behindIsRelative: boolean;
    footerThickness: number;
    closeStripThickness: number;
}
export interface IRect2Br2Option extends IBaseOption {
    depthExpr: string;
    maxThickness: number;
    layerShrink: number;
    vertialShrink: number;
    [EBoardKeyList.DrillType]: DrillType | string;
    [EBoardKeyList.UpSealed]: string;
    [EBoardKeyList.DownSealed]: string;
    [EBoardKeyList.LeftSealed]: string;
    [EBoardKeyList.RightSealed]: string;
    remarks: [string, string][];
}
//# sourceMappingURL=R2bInterface.d.ts.map