import { Object3D, Vector3 } from "three";
import { RenderType } from "../../../../GraphicsSystem/RenderType";
import { CADFiler } from "../../../CADFiler";
import { ObjectId } from "../../../ObjectId";
import { Text } from "../../../Text/Text";
import { RoomBase } from "../RoomBase";
export declare const ROOM_REGION_CURVES_KEY = "__ROOM_REGION_CURVES_KEY__";
/**
 * 户型区域:厨房,客厅,主卧,卫生间
 * 绑定了天花板和地板对象
 */
export declare class RoomRegion extends RoomBase {
    private _Name;
    private _Top;
    private _Floor;
    private _Area;
    _Text: Text;
    constructor(_Name: string, //名称
    _Top: ObjectId, //天花板
    _Floor: ObjectId, //地板
    _Area?: number);
    get Area(): number;
    set Area(value: number);
    get TextString(): string;
    set TextString(name: string);
    get Top(): ObjectId;
    set Top(value: ObjectId);
    get Floor(): ObjectId;
    set Floor(value: ObjectId);
    private get Text();
    GetGripPoints(): Vector3[];
    InitDrawObject(renderType?: RenderType): Object3D;
    /**
     * 重载:更新绘制的实体
     * @param {RenderType} type
     * @param {Object3D} obj
     */
    UpdateDrawObject(renderType: RenderType, obj: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=RoomRegion.d.ts.map