import { CADFiler } from "../../CADFiler";
import { CADObject } from "../../CADObject";
import { ObjectId } from "../../ObjectId";
import { RoomHolePolyline } from "../../Room/Entity/Wall/Hole/RoomHolePolyline";
import { TemplateRecord } from "../TemplateRecord";
/**
 * 房门模块建模
 * 禁止使用板来建模(因为板会被倒角)
 * 默认左侧为门铰链位置 右边为门把手位置
 * 需要提供门开启旋转轴(门铰链所在的位置)
 * 移动门外开时门位置的移动动作 所需的移动值?(用于旋转轴的切换?)
 *
 */
export declare class TemplateRoomDoorRecord extends TemplateRecord {
    HoleObjectId: ObjectId<RoomHolePolyline>;
    DoorLogo: string;
    constructor();
    InitHoleParams(): this;
    protected Update(): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
//# sourceMappingURL=TemplateRoomDoorRecord.d.ts.map