interface Vec2 {
    x: number;
    y: number;
}
export type CompareVectorFn = (v1: Vec2, v2: Vec2) => number;
/**
 * 构建返回一个用来排序的函数.根据key创建排序规则.
 *
 * 当key = "xyz" 时,点集按 x从小到大,y从小到大 z从小到大
 *   key = "X"   时,点集按 x从大到小
 * 以此类推.
 *
 * 例子:
 * let pts:Vector3[] =...;
 * pts.sort(comparePoint("x")); //x从小到大排序
 * pts.sort(comparePoint("zX")); //z从小到大 x从大到小
 *
 * @export
 * @param {string} sortKey
 */
export declare function ComparePoint(sortKey: string): CompareVectorFn;
export {};
//# sourceMappingURL=ComparePoint.d.ts.map