import { Vector3 } from "three";
import { CylinderHole } from "../DatabaseServices/3DSolid/CylinderHole";
import { ExtrudeHole } from "../DatabaseServices/3DSolid/ExtrudeHole";
import { Board } from "../DatabaseServices/Entity/Board";
import { ExtrudeContourCurve } from "../DatabaseServices/Entity/Extrude";
import { IBoardHoleInfo, IDrillingOption } from "./Product";
/**
 * 解析排钻数据的性能优化类,这个类并没有启用
 */
export declare class ParseBoardHoleData {
    private _Board;
    private _offsetTanslation;
    private _SealedContour;
    private _Normal;
    private _OCSInv;
    private _OCSInvRo;
    private _ContourBox;
    frontBackHoles: IDrillingOption[];
    sideHoles: IDrillingOption[];
    constructor(_Board: Board, _offsetTanslation: Vector3, _SealedContour: ExtrudeContourCurve, //已经计算封边的轮廓
    _Normal?: Vector3, _OCSInv?: import("three").Matrix4, _OCSInvRo?: import("three").Matrix4, _ContourBox?: import("../Geometry/Box").Box3Ext);
    GetData(): IBoardHoleInfo;
    /**分析常规排钻 */
    ParseCylHoles(d: CylinderHole, offsetTanslation: Vector3): void;
    /**分析自定义圆柱排钻 */
    ParseExtrudeHoles(d: ExtrudeHole, offsetTanslation: Vector3): void;
    /**拆单那边需要把侧孔 z 坐标转换为从上到下 */
    private InvertPosition;
    PointCheckCache: Map<string, boolean>;
    private PointInBoard;
}
//# sourceMappingURL=ParseBoardHoleData.d.ts.map